Subject: Re: [bug#57050] [PATCH v2 04/13] gnu: Add Zuo.

From: Liliana Marie Prikler <[email-masked]>
Date: Wed, 24 Aug 2022 07:42:25 +0200

Am Dienstag, dem 23.08.2022 um 20:27 -0400 schrieb Philip McGrath:
> 
> > Even simpler would be to substitute* the /bin/sh to (search-input-
> > file inputs "bin/sh") like
> > done for other packages.
> 
> Unfortunately, that doesn't work well here. We cannot refer to store
> paths in Racket or Chez source code (as opposed to C code) because
> the grafter cannot handle the format of compiled code: see
> <https://issues.guix.gnu.org/47180#6>. (I don't know about Zuo image
> dumps, but the binary format is unspecified, so it seems safer not
> to.)
We are talking about some C source code, though, so I doubt this point
is relevant, is it?